Loads records into a dataset from a pre-signed URL where your dataset already exists, e.g. an pre-signed
download URL from an S3 bucket.
By default, records can only be loaded into empty datasets. Use mode=replace to replace existing records or mode=append to add to existing records.
A 202 response means the load job was queued, not that records have been loaded. The load runs
asynchronously. Poll GET /datasets/jobs/{jobId}/logs:current with the returned jobId until
datasetJobStatusName is Completed before loading more records into this dataset.
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
202Records load job accepted and queued. Records are not loaded yet; track the returned jobId for completion
400Invalid request parameters or dataset already contains records
404Dataset not found
409A records load job for this dataset is still in progress. Wait for it to reach a terminal status and retry

